import { Axes, PropsWithChildren, RefForwardingComponent, OnSizeChangedCallback } from './types';
export declare type ViewSplitterProps = PropsWithChildren & {
    axis?: Axes;
    sizes?: Array<number>;
    fluent?: boolean;
    responsive?: boolean;
    barSize?: number;
    minSize?: number;
    minSizes?: Array<number>;
    onSizeChanged?: OnSizeChangedCallback;
};
declare const ViewSplitter: RefForwardingComponent<'div', ViewSplitterProps>;
export default ViewSplitter;
