import { Axes, PropsWithChildren, RefForwardingComponent, OnSizeChangedCallback } from './types';
export declare type SplitViewProps = PropsWithChildren & {
    axis?: Axes;
    sizes?: Array<number>;
    fluent?: boolean;
    responsive?: boolean;
    barSize?: number;
    minSize?: number;
    minSizes?: Array<number>;
    onSizeChanged?: OnSizeChangedCallback;
};
declare const SplitView: RefForwardingComponent<'div', SplitViewProps>;
export default SplitView;
